# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/gentoo-deutsch/ebuilds/media-video/tvmovie2vdr/tvmovie2vdr-0.1.4.ebuild,v 1.1 2004/03/24 00:09:30 austriancoder Exp $

VDR_CONV_DIR="/etc/vdr"
TVMOVIE2VDR_CONV_DIR="${VDR_CONV_DIR}/tvmovie2vdr"
DATA_DIR="/var/vdr"
TVMOVIE2VDR_FILES_DIR="${DATA_DIR}/tvmovie2vdr"

DESCRIPTION="load the program guide from tvmovie and others to vdr"
SRC_URI="http://www.vdr-portal.de/download/scripts/${P}.tar.gz"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND=">=media-video/vdr-1.2.0
	>=dev-perl/DateManip-5.42a-r1
	>=dev-perl/Compress-Zlib-1.22
	>=libwww-perl-5.69-r2
	>=HTML-Parser-3.34-r1
        dev-perl/MD5
"

S=${WORKDIR}/${P}

src_unpack() {
        unpack ${A}
}

src_compile() {
	# change default downloadpath in config
        /bin/sed -i ${S}/config.pl \
          -e 's:\$channelsfile = "/video/channels.conf";:\$channelsfile = "'${VDR_CONV_DIR}'/channels.conf";:' \
          -e 's:\$epgfile = "epg.data";:\$epgfile = "'${DATA_DIR}'/epg.data";:' \
          -e 's:\$downloadprefix = "downloadfiles/";:\$downloadprefix = "'${TVMOVIE2VDR_FILES_DIR}'/downloadfiles/";:' \
          -e 's:\$updateprefix = "downloadupdatefiles/";:\$updateprefix = "'${TVMOVIE2VDR_FILES_DIR}'/downloadupdatefiles/";:' \
          -e 's:our \$infosaturl="/video/received_data";:our \$infosaturl="'${TVMOVIE2VDR_FILES_DIR}'/received_data";:'

	# change config / channels path
        /bin/sed -i ${S}/tvm2vdr.pl \
          -e 's:push (@INC, "./");:push (@INC, "'${TVMOVIE2VDR_CONV_DIR}'");:' \
          -e 's:push (@INC, "./inc");:push (@INC, "'${TVMOVIE2VDR_FILES_DIR}/inc'");:'
        /bin/sed -i ${S}/tvinfomerk2vdr.pl \
          -e 's:push (@INC, "./");:push (@INC, "'${TVMOVIE2VDR_CONV_DIR}'");:' \
          -e 's:push (@INC, "./inc");:push (@INC, "'${TVMOVIE2VDR_FILES_DIR}/inc'");:'
}

src_install() {
        exeinto ${TVMOVIE2VDR_CONV_DIR}
        doexe config.pl
        doexe channels.pl
        exeinto ${TVMOVIE2VDR_FILES_DIR}
        doexe tvinfomerk2vdr.pl
        doexe tvm2vdr.pl
        exeinto ${TVMOVIE2VDR_FILES_DIR}/contrib
        doexe ./contrib/*
        exeinto ${TVMOVIE2VDR_FILES_DIR}/inc
        doexe ./inc/*
        keepdir ${TVMOVIE2VDR_FILES_DIR}/downloadfiles
        keepdir ${TVMOVIE2VDR_FILES_DIR}/downloadupdatefiles
        dodoc COPYING.GPL
        dodoc HISTORY
        dodoc README
        docinto patches
        dodoc ./patches/*
}

pkg_postinst() {
        einfo "setting rights in tvmovie2vdr dir"
        ln -s "${TVMOVIE2VDR_FILES_DIR}" "${TVMOVIE2VDR_CONV_DIR}/files"
        chown -R vdr:video "${TVMOVIE2VDR_CONV_DIR}"
        chown -R vdr:video "${TVMOVIE2VDR_FILES_DIR}"
        einfo
        einfo "You have to configuare the following files:"
        einfo "${TVMOVIE2VDR_CONV_DIR}/config.pl"
        einfo "${TVMOVIE2VDR_CONV_DIR}/channels.pl"
        einfo
        einfo "Its a good idea to add the following to /etc/crontab:"
        einfo "3  5  * * *     vdr     (cd ${TVMOVIE2VDR_FILES_DIR};./tvinfomerk2vdr.pl)"
        einfo "7  5  * * *     vdr     (cd ${TVMOVIE2VDR_FILES_DIR};./tvm2vdr.pl)"
        einfo
}
